Skip to main content

Get vendor by ID

GEThttps://api.propexo.com/v1/vendors/:vendor_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

vendor_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the vendor

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    account_numberstring | nullnullablerequired

    The account number associated with the vendor

    is_activeboolean | nullnullablerequired

    Whether the vendor is active

    namestring | nullnullablerequired

    The name associated with the vendor

    notesstring | nullnullablerequired

    Notes associated with the vendor

    tax_idstring | nullnullablerequired

    The tax payer identification number associated with the vendor

    third_party_idstring | nullnullablerequired

    A unique value provided to the PMS to uniquely identify the vendor from your system.

    typestring | nullnullablerequired

    The type associated with the vendor

    contacts object[]required
  • Array [
  • address_1string | nullnullablerequired

    The first address line associated with the vendor

    address_2string | nullnullablerequired

    The second address line associated with the vendor

    citystring | nullnullablerequired

    The city associated with the vendor

    countrystring | nullnullablerequired

    The country associated with the vendor

    statestring | nullnullablerequired

    The state associated with the vendor

    zipstring | nullnullablerequired

    The zip code associated with the vendor

    phonestring | nullnullablerequired

    Primary phone number associated with the vendor

    phone_typestring | nullnullablerequired

    Type of the primary phone number

    emailstring | nullnullablerequired

    The primary email address associated with the vendor

    is_primaryboolean | nullnullablerequired

    Whether the vendor is the primary record

    namestring | nullnullablerequired

    The name associated with the vendor

  • ]
  • custom_data object | nullrequired
    object
    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/vendors/:vendor_id
curl https://api.propexo.com/v1/vendors/:vendor_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"account_number": "string",
"is_active": true,
"name": "string",
"notes": "string",
"tax_id": "string",
"third_party_id": "string",
"type": "string",
"contacts": [
{
"address_1": "string",
"address_2": "string",
"city": "string",
"country": "string",
"state": "string",
"zip": "string",
"phone": "string",
"phone_type": "string",
"email": "string",
"is_primary": true,
"name": "string"
}
],
"custom_data": "Unknown Type: object,null",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string"
}
}